<header role="banner">
  <div class="navbar-header dgl" [ngClass]="{'is-portal-light-theme': isPortalLightTheme}">
    <div *ngIf="!isHomePage" class="navbar-header-item icon-hamburger" [ngClass]="{'is-fixed': isBurgerActive}">
      <div class="hamburger hamburger--collapse-r" [ngClass]="{'is-active': isBurgerActive}"
        (click)="toggleBurger()" (keydown.enter)="toggleBurger()" tabindex=0>
        <div class="hamburger-box">
          <div class="hamburger-inner"></div>
        </div>
      </div>
    </div>
    
    <div class="navbar-header-item commune-portal-logo" *ngIf="commune; else default" >
      <a [href]="commune.site_url" >
        <div class="is-hidden-mobile">
          <p>
            l'open
          </p>
          <p>
            data de 
          </p>
        </div>
        <img 
        class="is-hidden-mobile"
        [src]="'./assets/img' + commune.logo_url"
        alt="Return to homepage" i18n-alt="@@header.returnHome">
      </a>
    </div>
    
    <ng-template #default>
      <div class="navbar-header-item logo-data">
        <a [href]="APP_CONFIG.urls.headerLogoLink" *ngIf="APP_CONFIG.urls.headerLogo!=undefined && APP_CONFIG.urls.headerLogo.length>0 " >
          <img 
          class="logo-data-beta is-hidden-mobile"
          [src]="APP_CONFIG.urls.headerLogo"
            alt="Return to homepage" i18n-alt="@@header.returnHome">
          <!--  
          <img class="logo-data-beta is-hidden-mobile" src="./assets/img/header_logo_data.svg"
            alt="Return to homepage" i18n-alt="@@header.returnHome">
          <img class="is-hidden-tablet" src="./assets/img/header_logo_data_mobile.svg"
            alt="Return to homepage" i18n-alt="@@header.returnHome">
            -->
        </a>
      </div>
    </ng-template>

    <div *ngIf="isHomePage" id="welcome-menu-items">
      <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]">
        Les données
      </a>
      <a class="navbar-item" [routerLink]="['/', AppRoutes.approach.uri]">
        La démarche
      </a>
      <a class="navbar-item" [routerLink]="['/', AppRoutes.news.uri]">
        Les actualités
      </a>
      <div class="navbar-item has-dropdown is-hoverable">
        <a class="navbar-link">
          Réutiliser
        </a>
        <div class="navbar-dropdown">
          <div class="dropdown-border">
            <a i18n="@@menu.documentation" class="navbar-item" [routerLink]="['/', AppRoutes.documentation.uri]">
              Documentation
            </a>
            <a i18n="@@menu.reuses" class="navbar-item" [routerLink]="['/', AppRoutes.reuses.uri]">
              Reuses
            </a>
          </div>
        </div>
      </div>
      <div class="navbar-item has-dropdown is-hoverable">
        <a class="navbar-link">
          Contribuer
        </a>
        <div class="navbar-dropdown">
          <div class="dropdown-border">
            <a i18n="@@menu.partners" class="navbar-item" [routerLink]="['/', AppRoutes.partners.uri]">
              Partners
            </a>
            <a class="navbar-item" [routerLink]="['/', AppRoutes.contribution.uri]">
              Publier un jeu de données
            </a>
          </div>
        </div>
      </div>
      

      <div class="navbar-item has-dropdown is-hoverable">
        <a class="navbar-link">
          Communes
        </a>
        <div class="navbar-dropdown" *ngIf="communes">
          <div class="dropdown-border">
            <div class="flex">
              <div>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Bron')">
                  Bron
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Caluire-et-Cuire')">
                  Caluire-et-Cuire
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Champagne-au-Mont-d\'Or')">
                  Champagne-au-Mont-d'Or
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Chassieu')">
                  Chassieu
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Dardilly')">
                  Dardilly
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Écully')">
                  Écully
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Limonest')">
                  Limonest
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Lyon')">
                  Lyon
                </a>
              </div>
              <div>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Mions')">
                  Mions
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Rillieux-la-Pape')">
                  Rillieux-la-Pape
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Saint-Cyr-au-Mont-d\'Or')">
                  Saint-Cyr-au-Mont-d'Or
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Saint-Didier-au-Mont-d\'Or')">
                  Saint-Didier-au-Mont-d'Or
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Saint-Genis-Laval')">
                  Saint-Genis-Laval
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Saint-Priest')">
                  Saint-Priest
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Vaulx-en-Velin')">
                  Vaulx-en-Velin
                </a>
                <a class="navbar-item" [routerLink]="['/', AppRoutes.research.uri]" [queryParams]="getQueryParamForCommune('Villeurbanne')">
                  Villeurbanne
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="navbar-item has-dropdown is-hoverable">
        <a class="navbar-link">
          {{ currentLanguage() === env.angularAppHost.en ? 'EN' : 'FR' }}
        </a>
        <div class="navbar-dropdown">
          <a class="navbar-item" [ngClass]="{'is-unactive': currentLanguage() === env.angularAppHost.fr}"
            (click)="changeLanguage('fr')" [tabIndex]="isOpened ? 0 : -1">FR</a>
          <a class="navbar-item" [ngClass]="{'is-unactive': currentLanguage() === env.angularAppHost.en}"
            (click)="changeLanguage('en')" [tabIndex]="isOpened ? 0 : -1">EN</a>
        </div>
      </div>
    </div>

    <div class="navbar-header-item search-bar" *ngIf="!isHomePage">
      <app-search-bar  [commune]="commune"></app-search-bar>
    </div>

    <div class="navbar-header-item navbar-right-side" [ngClass]="{'navbar-right-home': isHomePage}">
      <div class="connect-me">
        <!-- [href]="getLoginUrl()" OR [routerLink]="['/', AppRoutes.signin.uri]" -->
        <a  [href]="loginUrl" aria-label="Sign In" i18n-aria-label="@@header.signIn" *ngIf="!userIsSignedIn; else userSignedInTemplate">
          <div class="button connect-button" *ngIf="isHomePage">
            <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" viewBox="0 0 23 23">
              <g id="btn_x5F_connect">
                <path
                  d="M11.5 11.7c-3.1 0-5.6-2.6-5.6-5.6C5.9 3 8.5.5 11.5.5c3.1 0 5.6 2.6 5.6 5.6 0 3-2.6 5.6-5.6 5.6zM17.2 14.6c1.3.6 2.3 1.5 3 2.6 1.2 1.9 1.2 3.8 1.2 3.9 0 .8-.6 1.4-1.2 1.4H2.6c-.6 0-1.2-.6-1.2-1.4 0-.1 0-2 1.2-3.9.7-1.1 1.8-2 3-2.6 1.6-.8 3.5-1.2 5.8-1.2s4.2.4 5.8 1.2z"
                  class="stroke_white" />
              </g>
            </svg>
            <span i18n="@@header.signIn">Sign In</span>
          </div>
          <div class="svg-alone" (click)="toggleUserDropdown()" (clickOutside)="closeUserDropdown()" *ngIf="!isHomePage">
            <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" viewBox="0 0 23 23">
              <g id="btn_x5F_connect">
                <path
                  d="M11.5 11.7c-3.1 0-5.6-2.6-5.6-5.6C5.9 3 8.5.5 11.5.5c3.1 0 5.6 2.6 5.6 5.6 0 3-2.6 5.6-5.6 5.6zM17.2 14.6c1.3.6 2.3 1.5 3 2.6 1.2 1.9 1.2 3.8 1.2 3.9 0 .8-.6 1.4-1.2 1.4H2.6c-.6 0-1.2-.6-1.2-1.4 0-.1 0-2 1.2-3.9.7-1.1 1.8-2 3-2.6 1.6-.8 3.5-1.2 5.8-1.2s4.2.4 5.8 1.2z"
                  class="stroke_white" />
              </g>
            </svg>
            <span class="sr-only" i18n="@@header.signIn">Sign In</span>
          </div>
        </a>
      </div>

      <ng-template #userSignedInTemplate>
        <div class="put-menu-to-right" [ngClass]="{'is-active': userDropdownIsOpened}">

          <button class="button connect-button" *ngIf="isHomePage" (click)="toggleUserDropdown()"
            (clickOutside)="closeUserDropdown()">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 23 23" class="is-connected">
              <g id="btn_x5F_connect">
                <path
                  d="M11.5 11.7c-3.1 0-5.6-2.6-5.6-5.6C5.9 3 8.5.5 11.5.5c3.1 0 5.6 2.6 5.6 5.6 0 3-2.6 5.6-5.6 5.6zM17.2 14.6c1.3.6 2.3 1.5 3 2.6 1.2 1.9 1.2 3.8 1.2 3.9 0 .8-.6 1.4-1.2 1.4H2.6c-.6 0-1.2-.6-1.2-1.4 0-.1 0-2 1.2-3.9.7-1.1 1.8-2 3-2.6 1.6-.8 3.5-1.2 5.8-1.2s4.2.4 5.8 1.2z"
                  class="stroke_white" />
              </g>
            </svg>
            <span class="text-overflow">{{ username }}</span>
          </button>
          <div class="svg-alone" (click)="toggleUserDropdown()" (clickOutside)="closeUserDropdown()"
            *ngIf="!isHomePage">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 23 23" class="is-connected">
              <g id="btn_x5F_connect">
                <path
                  d="M11.5 11.7c-3.1 0-5.6-2.6-5.6-5.6C5.9 3 8.5.5 11.5.5c3.1 0 5.6 2.6 5.6 5.6 0 3-2.6 5.6-5.6 5.6zM17.2 14.6c1.3.6 2.3 1.5 3 2.6 1.2 1.9 1.2 3.8 1.2 3.9 0 .8-.6 1.4-1.2 1.4H2.6c-.6 0-1.2-.6-1.2-1.4 0-.1 0-2 1.2-3.9.7-1.1 1.8-2 3-2.6 1.6-.8 3.5-1.2 5.8-1.2s4.2.4 5.8 1.2z"
                  class="stroke_white" />
              </g>
            </svg>
          </div>


          <div class="dropdown-content user-information">

            <a href preventDefault class="dropdown-item text-overflow">
              <span class="username">{{ username }}</span>
            </a>

            <hr class="dropdown-divider">

            <a href="/onegeo-login/profile" routerLinkActive="active-link"
              (click)="closeUserDropdown()" class="dropdown-item with-icon">

              <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px"
                y="0px" viewBox="0 0 23 23" style="enable-background: new 0 0 23 23;" xml:space="preserve">
                <g id="profil">
                  <path d="M6.6,8c0,2.7,2.2,4.9,4.9,4.9s4.9-2.2,4.9-4.9s-2.2-4.9-4.9-4.9S6.6,5.3,6.6,8z" />
                  <path d="M4.3,21h14.3c0.7,0,1.3-0.6,1.3-1.3c0-0.1,0-1.5-1.1-3c-0.6-0.8-1.5-1.5-2.6-2c-1.3-0.6-3-0.9-4.8-0.9
                  c-1.9,0-3.5,0.3-4.8,0.9c-1.1,0.4-2,1.2-2.6,2C3,18.1,3,19.6,3,19.7C3,20.4,3.6,21,4.3,21z" />
                </g>
              </svg>
              <span i18n="@@header.userProfil">My profile</span>
            </a>

            <hr class="dropdown-divider">
            
            <a *ngIf="APP_CONFIG.theFunctionalitiesInterruptor.data_access" href preventDefault [routerLink]="['/', AppRoutes.accessManagement.uri]" routerLinkActive="active-link"
              (click)="closeUserDropdown()" class="dropdown-item with-icon">

              <svg width="20" height="15" viewBox="0 0 20 15" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path
                  d="M19.8786 8.90625L17.3461 13.75C17.161 14.1406 16.8951 14.4531 16.5481 14.6875C16.2012 14.8958 15.8312 15 15.438 15H1.56114C1.23735 15 0.994507 14.8438 0.832611 14.5312C0.670714 14.2188 0.670714 13.9062 0.832611 13.5938L3.36513 8.75C3.55016 8.35938 3.81613 8.0599 4.16305 7.85156C4.50997 7.61719 4.88002 7.5 5.2732 7.5H19.15C19.4738 7.5 19.7167 7.65625 19.8786 7.96875C20.0405 8.28125 20.0405 8.59375 19.8786 8.90625ZM5.2732 6.25H16.6522V4.375C16.6522 3.85417 16.4903 3.41146 16.1665 3.04688C15.8427 2.68229 15.4496 2.5 14.987 2.5H9.43625L7.21596 0H1.66522C1.20266 0 0.809483 0.182292 0.48569 0.546875C0.161896 0.911458 0 1.35417 0 1.875V12.7344L2.39376 8.125C2.69442 7.55208 3.09916 7.09635 3.60798 6.75781C4.1168 6.41927 4.67187 6.25 5.2732 6.25Z"
                  fill="#242b3f" />
              </svg>
              <span i18n="@@header.userServices">Data accesses</span>
            </a>
            
            <a [href]="getMapsUrl()"  routerLinkActive="active-link"  *ngIf="_userService.hasMapAcces()"
              (click)="closeUserDropdown()" class="dropdown-item with-icon">
              <span i18n="@@header.createMaps">Créer et consulter des <b>cartes</b></span>
            </a>

            <a href="/onegeo-publish/data"  routerLinkActive="active-link"
              (click)="closeUserDropdown()" class="dropdown-item with-icon">
              <span i18n="@@header.publishDatas">Publier des <b>données</b></span>
            </a>
<!-- 
            <a href="/geoserver/"  routerLinkActive="active-link"
              (click)="closeUserDropdown()" class="dropdown-item with-icon">
              <span i18n="@@header.manageServices">configurer les <b>services</b></span>
            </a>
            <a href="/onegeo-publish/accounts"  routerLinkActive="active-link"
              (click)="closeUserDropdown()" class="dropdown-item with-icon">
              <span i18n="@@header.manageOrgas"><b>comptes</b> et organisations</span>
            </a>
            <a href="/onegeo-publish/statistiques"  routerLinkActive="active-link"
            (click)="closeUserDropdown()" class="dropdown-item with-icon">
            <span i18n="@@header.viewStats">voir les <b>statistiques</b></span>
            </a>
-->
            <a href preventDefault (click)="signOut()" class="dropdown-item with-icon disconnect">
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 23 23">
                <g id="picto_x5F_deconnect">
                  <g class="fill_black">
                    <g class="fill_black">
                      <path
                        d="M11 18H8c-1.7 0-3-1.3-3-3V9c0-1.7 1.3-3 3-3h3c.6 0 1 .4 1 1s-.4 1-1 1H8c-.6 0-1 .4-1 1v6c0 .6.4 1 1 1h3c.6 0 1 .4 1 1s-.4 1-1 1z"
                        class="fill_black" />
                    </g>
                    <g class="fill_black">
                      <path
                        d="M11 18H8c-1.7 0-3-1.3-3-3V9c0-1.7 1.3-3 3-3h3c.6 0 1 .4 1 1s-.4 1-1 1H8c-.6 0-1 .4-1 1v6c0 .6.4 1 1 1h3c.6 0 1 .4 1 1s-.4 1-1 1z"
                        class="fill_black" />
                    </g>
                  </g>
                  <path d="M19.4 11.3L14.1 6v4H10c-.6 0-1 .4-1 1v2c0 .6.4 1 1 1h4.1v4l5.3-5.3c.4-.4.4-1 0-1.4z"
                    class="fill_black" />
                </g>
              </svg>
              <span i18n="@@header.signOut">Sign Out</span>
            </a>

          </div>

        </div>
        <div class="modal" [ngClass]="{'is-active': userDropdownIsOpened}"></div>
      </ng-template>
      
      <div *ngIf="APP_CONFIG.theFunctionalitiesInterruptor.feedback" [ngClass]="{'is-portal-feedback-button': commune}" class="navbar-item navbar-item-feedback">
        <button tabindex="0" class="button feedback-button" (click)="toogleFeedback($event)"
                aria-label="Your feedback..." i18n-aria-label="@@feedback.giveYourFeedback">
          <svg xmlns="http://www.w3.org/2000/svg" id="feedback_x5F_icon_header" viewBox="0 0 37.2 34">
            <path
              d="M11 26c-.7 2.3-2.3 4.9-5.5 7.2 5.7 0 10.1-2.9 12.9-5.8h.3c9.7 0 17.5-5.9 17.5-13.2C36.2 6.8 28.4 1 18.7 1S1.2 6.8 1.2 14.1c0 5.2 4 9.7 9.8 11.9z"
              class="color-brand" />
            <path d="M24.6 12.2h3.7v3.7h-3.7zM17.1 12.2h3.7v3.7h-3.7zM9.7 12.2h3.7v3.7H9.7z" class="color-beta" />
          </svg>
        </button>
      </div>
      
      <div class="navbar-item is-hidden-touch" *ngIf="!commune">
        <img *ngIf="APP_CONFIG.theFunctionalitiesInterruptor.feedback" class="logo-grand-lyon" src="./assets/img/grandlyon/logo-grand-lyon.svg" alt="Logo Grand Lyon, la métropole">
      </div>
    </div>
  </div>
  <app-feedback *ngIf="APP_CONFIG.theFunctionalitiesInterruptor.feedback" [isPortalCommune]="commune"></app-feedback>
  <div class="portal-commune-navbar" *ngIf="commune">
    <div>
      <a [routerLink]="['/', AppRoutes.home.uri]">
        <span>avec</span><strong>data</strong>.grandlyon.com
      </a>
    </div>
    <div>
      <a [routerLink]="['/', AppRoutes.research.uri]"><img class="left_arrow" src="./assets/img/grandlyon/right_arrow.svg">Explorer toutes les données de <strong>la Métropole</strong></a>
      <span>|</span>
      <a href="{{commune.site_url}}">Aller sur le site de <strong>{{commune.name}}</strong><img src="./assets/img/grandlyon/right_arrow.svg"></a>
    </div>
  </div>
</header>
